- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStringVector Class Reference

`#include <VSDStringVector.h>`

## Public Member Functions
| VSDStringVector ()
| VSDStringVector (const VSDStringVector &vec)
| ~VSDStringVector ()
VSDStringVector & | operator= (const VSDStringVector &vec)
unsigned | size () const
bool | empty () const
const WPXString & | operator[] (unsigned idx) const
void | append (const WPXString &str)
void | clear ()

## Private Attributes
VSDStringVectorImpl * | m_pImpl

## Constructor & Destructor Documentation

libvisio::VSDStringVector::VSDStringVector | ( |  | ) |

libvisio::VSDStringVector::VSDStringVector | ( | const VSDStringVector & | vec | ) |

libvisio::VSDStringVector::~VSDStringVector | ( |  | ) |

## Member Function Documentation

void libvisio::VSDStringVector::append | ( | const WPXString & | str | ) |

Referenced by libvisio::VSDSVGGenerator::endGraphics().

void libvisio::VSDStringVector::clear | ( |  | ) |

bool libvisio::VSDStringVector::empty | ( |  | ) | const

libvisio::VSDStringVector & libvisio::VSDStringVector::operator= | ( | const VSDStringVector & | vec | ) |

const WPXString & libvisio::VSDStringVector::operator[] | ( | unsigned | idx | ) | const

unsigned libvisio::VSDStringVector::size | ( |  | ) | const

## Member Data Documentation

VSDStringVectorImpl* libvisio::VSDStringVector::m_pImpl
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDStringVector.h
- VSDStringVector.cpp